(function($, w) {
  "use strict";

var $window = $(w);

//
$("#commentform").attr('enctype', 'multipart/form-data');

// Init lightbox
lightbox.option({
    'showImageNumberLabel': false
})

//
var productTbl = function( $scope, $ ) {

var tbl = $scope.find(".product-data-tbl");
    tbl.DataTable({ responsive: true});
}

// Product Slider
var productSlider = function( $scope, $ ) {

    var t = $scope.find(".owl-carousel"),
        slide   = t.data( 'slide' ),
        nav     = t.data( 'nav' ),
        dot     = t.data( 'dot' ),
        autoplay = t.data( 'autoplay' ),
        loop     = t.data( 'loop' );

        t.owlCarousel({
            items: slide,
            mouseDrag: true,
            nav: nav,
            navText: ['<','>'],
            autoplay: autoplay,
            loop:loop,
            margin:10,
            dots:dot,
            responsiveClass:true,
            responsive:{
                320:{
                    items:1
                },
                481:{
                    items:2
                },
                1000:{
                    items:slide
                }
            }
        });
        
}

// Product Search
var productSearch = function( $scope, $ ) {

    $scope.find('.wookits_search_input').on( 'keyup', function (e) {

        e.preventDefault();
       
        var $result = $( '.wookits-search-result' );

        $.ajax({

            type: 'POST',
            url: wookitsobj.ajaxurl,
            data: {
                action: 'wookits_search_product',
                keyword: $( this ).val(),
                category: $( this ).parent().find( '.product-category' ).val(),
                type: $( this ).parent().parent().data('type')
            },
            beforeSend: function () {
                $result.html( '<p>Loging ...............</p>' );
            },
            success: function( res ) {

                if( res.length  ) {
                   $result.html( res );

                }else {
                    $result.html( '' );
                }         

            }

        })


    });

}

//
var elementTypeSkin = {
    'wookits-product-data-table.default' : productTbl,
    'wookits-product-slider.default' : productSlider,
    'wookits-product-search.default' : productSearch
}

$(window).on('elementor/frontend/init', function () {

    var $EF = elementorFrontend;

    $.each( elementTypeSkin, function( widgetName, fuHandler ) {

        $EF.hooks.addAction('frontend/element_ready/'+widgetName, fuHandler );

    } )


});


})(jQuery);
