<?php
 /**
  * 
  * @package    Wookits
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  *
  */
  if( ! defined( 'ABSPATH' ) ) {
      die( WOOKITS_ALERT_MSG );
  }

// Support json file upload

add_filter( 'upload_mimes', 'wookits_mimes_types', 1, 99999 );
function wookits_mimes_types( $mime_types ) {
  $mime_types['svg'] = 'image/svg+xml';     // Adding .svg extension
  $mime_types['json'] = 'application/json'; // Adding .json extension
  
    
  return $mime_types;
}
//
add_filter('wp_check_filetype_and_ext','wookits_wp_check_filetype_and_ext', 10, 4 );
function wookits_wp_check_filetype_and_ext( $data, $file, $filename, $mimes  ) {

        if ( ! empty( $data['ext'] ) && ! empty( $data['type'] ) ) {
            return $data;
        }
      
        $filetype = wp_check_filetype( $filename, $mimes );
      
        if ( 'json' === $filetype['ext'] ) {
            $data['ext'] = 'json';
            $data['type'] = 'application/json';
        }
      
        return $data;
}

//
function wookits_get_product_category() {
 
  return get_terms( 'product_cat', array( 'hide_empty' => true ) );

}
//
function wookits_get_product_categoris_array() {
 
  $cats = get_terms( 'product_cat', array( 'hide_empty' => true ) );

  $categoris = [];

  foreach ( $cats as $value ) {

    $categoris[$value->slug] = esc_html( $value->name );

  }

  return $categoris;

}

// Check elementor plugin active
function wookits_is_elementor_active() {

  $elementorFile = WP_PLUGIN_DIR.'/elementor/elementor.php';

  $activatedPlugin = get_option('active_plugins');


  if( ! file_exists( $elementorFile ) ) {
    
    $has_elementor = 'notinstalled';

  } else if(  file_exists( $elementorFile ) &&  !in_array( 'elementor/elementor.php', $activatedPlugin) ) {
    
    $has_elementor = 'deactive';
  } else {
    $has_elementor = 'active';
  }

  return $has_elementor;
}

// Check WooCommerce plugin active
function wookits_is_woo_active() {
  return class_exists( 'WooCommerce' );
}

