<?php
 /**
  * 
  * @package    Wookits
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  *
  */
  if( ! defined( 'ABSPATH' ) ) {
      die( WOOKITS_ALERT_MSG );
  }

class Woo_Hooks {

    function __construct() {

        //
        add_action( 'woocommerce_checkout_process', [ __CLASS__, 'wc_checkout_minimum_order_amount' ] );
        //
        add_action( 'woocommerce_before_cart' , [ __CLASS__, 'wc_cart_minimum_order_amount' ] );
    }

    /**
     * Set a minimum order amount for checkout
     * @return [type] [description]
     */
    public static function wc_cart_minimum_order_amount() {

        // Set this variable to specify a minimum order value
        $minimum = get_option( 'wc_wookits_settings_tab_minimum_amount' );
        $cartSubtotal = WC()->cart->get_subtotal();

        if ( !empty( $minimum ) && $cartSubtotal < $minimum ) {

          $notice = sprintf(
            esc_html__( 'Your current cart total is %s — you must have an order with a minimum of %s to place your order', 'wookits' ) , 
            wc_price( $cartSubtotal ), 
            wc_price( $minimum )
          );

          wc_print_notice( $notice, 'error' );

        }
    }

    /**
     * [wc_checkout_minimum_order_amount description]
     * @return [type] [description]
     */
    public static function wc_checkout_minimum_order_amount() {

        // Set this variable to specify a minimum order value
        $minimum = get_option( 'wc_wookits_settings_tab_minimum_amount' );
        $cartSubtotal = WC()->cart->get_subtotal();

        if ( !empty( $minimum ) && $cartSubtotal < $minimum ) {

          $notice = sprintf(
            esc_html__( 'Your current order sub total is %s — you must have an order with a minimum of %s to place your order', 'wookits' ) , 
            wc_price( $cartSubtotal ), 
            wc_price( $minimum )
          );

          wc_add_notice( $notice, 'error' );

        }
    }

}

new Woo_Hooks();