<?php
 /**
  * 
  * @package    Wookits
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  *
  */
  if( ! defined( 'ABSPATH' ) ) {
      die( WOOKITS_ALERT_MSG );
  }

class Woo_Review_Image {

    function __construct() {

        add_filter( 'woocommerce_product_review_comment_form_args', [ $this, 'add_image_upload_field_product_review_form' ], 10, 1 );
        add_action( 'comment_post', [ $this, 'save_comment_meta_data' ] );
        add_filter( 'comment_text', [ $this, 'modify_comment' ] );
    }
    /**
     * [add_image_upload_field_product_review_form description]
     * @param [type] $comment_form [description]
     */
    function add_image_upload_field_product_review_form( $comment_form ) {

        $comment_form['comment_field'] .= '<p class="comment-form-comment"><label for="review_img">' . esc_html__( 'Upload Image', 'wookits' ) . '</label><input id="review_img" type="file" multiple class="wookits-review-img" name="review_img[]" /></p>'; 

        return $comment_form;
    }
    /**
     * [modify_comment description]
     * @param  [type] $text [description]
     * @return [type]       [description]
     */
    function modify_comment( $text ) {
        $imgs = get_comment_meta( get_comment_ID(), 'review_img', true );

        if( !empty( $imgs ) ) {
            $commentImage = '<div class="wookits-comment-images-wrapper">';
            foreach( $imgs as $img ) {
                $attachment = wp_get_attachment_url( $img );
                $commentImage .= '<div class="wookits-comment-single-image"> <a class="class="example-image-link"" href="'.$attachment.'" data-lightbox="example-2"><img src="'.$attachment.'"/></a></div>';
            }
            $commentImage .= '</div>';

            $text = $text . $commentImage;
            return $text;
        } else {
            return $text;
        }
    }
    /**
     * [save_comment_meta_data description]
     * @param  [type] $comment_id [description]
     * @return [type]             [description]
     */
    function save_comment_meta_data( $comment_id ) {

        require_once( ABSPATH . 'wp-admin/includes/image.php' );
        require_once( ABSPATH . 'wp-admin/includes/file.php' );
        require_once( ABSPATH . 'wp-admin/includes/media.php' );

        if ( !empty( $_FILES ) ) {
            $attachment_id = [];
            $files = $_FILES["review_img"];  
            foreach ($files['name'] as $key => $value) {            
                if ($files['name'][$key]) { 
                    $file = array( 
                        'name' => $files['name'][$key],
                        'type' => $files['type'][$key], 
                        'tmp_name' => $files['tmp_name'][$key], 
                        'error' => $files['error'][$key],
                        'size' => $files['size'][$key]
                    ); 
                    $_FILES = array ("review_img" => $file); 
                    foreach ($_FILES as $file => $array) {  
                    $attachment_id[] = media_handle_upload( $file, $comment_id );            
                        
                    }
                }
            } 

            add_comment_meta( $comment_id, 'review_img', $attachment_id );
        }

    }

}

new Woo_Review_Image();